Bug 878370 - [ALL_LANG][SAM Web GUI] Unlocalized date, tooltips for Release Version and strings for Systems
[ALL_LANG][SAM Web GUI] Unlocalized date, tooltips for Release Version and st...
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Tom McKay
Tazim Kolhar
: Translation
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-11-20 05:05 EST by Lijun Li
Modified: 2016-04-25 20:54 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Many strings that were previously unlocalized are now properly passed through the localization system. This includes dates on many of the pages.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 14:19:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Unlocalized date and strings for Systems (87.06 KB, image/png)
2012-11-20 05:08 EST, Lijun Li
no flags Details
Unlocalized tooltips for Release Version and strings REGISTERED and LAST CHECKED IN (59.41 KB, image/png)
2012-11-29 04:19 EST, Lijun Li
no flags Details
Localized strings Auto Heal (97.84 KB, image/png)
2012-12-24 02:08 EST, Tazim Kolhar
no flags Details
Localized strings release Version and tool tip (83.39 KB, image/png)
2012-12-24 02:09 EST, Tazim Kolhar
no flags Details

  None (edit)
Description Lijun Li 2012-11-20 05:05:13 EST
Description of problem:
Unlocalized date and strings for Systems

Version-Release number of selected component (if applicable):
katello-headpin-all-1.2.5-1h.el6_3

How reproducible:
100%


Steps to Reproduce:
1. Click the Systems application tab.
2. Click All subtab.
3. Select the system from the left NAME panel that you wish to assign subscriptions to.
4. Click the Subscriptions application subtab.
5. Under the System Current Subscriptions list, select the preferred Auto-Subscribe and Service Level option.
  
Actual results:
Unlocalized date and strings for Systems

Expected results:
The date and strings in screenshot for Systems should be localized.

Additional info:
Comment 1 Lijun Li 2012-11-20 05:08:53 EST
Created attachment 648365 [details]
Unlocalized date and strings for Systems
Comment 2 Lijun Li 2012-11-29 04:17:00 EST
Steps to Reproduce:
6. Click the Details application subtab and click System Info.
7. Move cursor over the System Properties - > Release Version, check the tooltips.
Comment 3 Lijun Li 2012-11-29 04:19:00 EST
Created attachment 654075 [details]
Unlocalized tooltips for Release Version and strings REGISTERED and LAST CHECKED IN
Comment 4 Lijun Li 2012-11-29 07:10:40 EST
String 'Never checked in' not localized for the system on the left NAME panel.
Comment 5 Hedda Peters 2012-12-13 19:26:29 EST
Partly confirmed for de-DE: 

Unlocalized:
- Auto-Subscribe and Service Level options
- under subtab Details: "Unknown" for OS type
- under subtab Details: "None" for location

However, Date & time strings and "Never checked in" are localized.
Comment 6 Noriko Mizumoto 2012-12-13 19:44:08 EST
Under 'Subscription' tab, dropdown menu is not localized.
* Auto-attach On, No Service Level Preference
* Auto-attach Off, No Service Level Preference

Middle section of 'Current system subscription', message is not localized.
* There are currently no subscriptions attached to the system
Comment 7 Hedda Peters 2012-12-13 20:16:14 EST
more for de-DE:

- under subtab "Details"-"Facts": the names of the groups are unlocalized (should they even be?) "distribution", "network" etc, also value "unkown" for distribution

- under subtab "Content"-"Software": "There are no products to display." is unlocalized
Comment 8 Eunju, Kim 2012-12-13 22:03:07 EST
Confirmed for ko-KR.

Unlicalised:
- under subtab Details: "None" for location
- Under 'Subscription' tab, dropdown menu
* Auto-attach On, No Service Level Preference
* Auto-attach Off, No Service Level Preference
-Middle section of 'Current system subscription', message is not localized.
* There are currently no subscriptions attached to the system
-under subtab "Content"-"Software": "There are no products to display." is unlocalized
Comment 10 Tazim Kolhar 2012-12-24 02:08:25 EST
Created attachment 668337 [details]
Localized strings Auto Heal

VERIFIED :

# rpm -qa | grep katello
katello-glue-candlepin-1.2.1-10h.el6_3.noarch
katello-cli-common-1.2.1-11h.el6_3.noarch
katello-headpin-1.2.1-10h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.2.1-1h.el6_3.noarch
katello-cli-1.2.1-11h.el6_3.noarch
katello-configure-1.2.3-1h.el6_3.noarch
katello-common-1.2.1-10h.el6_3.noarch
katello-headpin-all-1.2.1-10h.el6_3.noarch
katello-selinux-1.2.1-1h.el6_3.noarch
Comment 11 Tazim Kolhar 2012-12-24 02:09:47 EST
Created attachment 668339 [details]
Localized strings release Version and tool tip
Comment 13 errata-xmlrpc 2013-02-21 14:19:57 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.